[Resolved] Error while updating from CLI + error nginx

en
#1

Hello,

First THANK YOU for yunohost :slight_smile:
Merci beaucoup, c’est vraiment pratique à installer et gérer je trouve. Bon je continue en anglais :wink:

I noticed recently that my version of yunohost is old, so I tried to apply the update with the CLI and not the GUI.
I had this error when entering

root@server :~# yunohost tools update --verbose
Traceback (most recent call last):
  File "/usr/bin/yunohost", line 217, in <module>
    timeout=opts.timeout,
  File "/usr/lib/python2.7/dist-packages/moulinette/__init__.py", line 136, in cli
    moulinette.run(args, output_as=output_as, password=password, timeout=timeout)
  File "/usr/lib/python2.7/dist-packages/moulinette/interfaces/cli.py", line 390, in run
    ret = self.actionsmap.process(args, timeout=timeout)
  File "/usr/lib/python2.7/dist-packages/moulinette/actionsmap.py", line 495, in process
    return func(**arguments)
  File "/usr/lib/moulinette/yunohost/tools.py", line 321, in tools_update
    logger.info(m18n.n('updating_apt_cache'))
NameError: global name 'm18n' is not defined

Here are the versions I have :

root@server :~# yunohost --version
yunohost: 2.5.6
yunohost-admin: 2.6.2
moulinette: 2.7.2
ssowat: 2.7.2

I don’t know why the yunohost and yunohost did not update themseleves…

Thanks in advance for any kind of help.

#2

Bonsoir @nath5394 ,

FR : Normalement, la mise à niveau se fait via les commandes suivantes :
EN : Usually upgrade is done with these commands:

edit :

FR : toujours faire une sauvegarde avant.
EN : always backup before.

apt-get update
apt-get upgrade
apt-get dist-upgrade

FR : Sinon, en utilsant la commande
EN : Otherwise using command

yunohost tools update --verbose

FR : il est nécessaire de vérifier ton
EN : it’s necessary to checkup your

/etc/apt folder or sources lists

FR : Attention
EN : Carefull

ppr

#3

Hello,

FR : Merci pour ta réponse. En fait pour les mises à jour je ne faisais que apt-get update puis apt-get upgrade. Sans faire apt-get dist-upgrade.

EN : Thank you for your reply. The problem was : to upgrade I just used to do apt-get update and then apt-get upgrade. But I did not do apt-get dist-upgrade.

FR : J’ai vérifié le fichier sources.list. Ok. Et puis j’ai pu mettre à jour sans soucis.
EN : I checked the sources.list file. Ok. After that I could upgrade without problem.

FR: Manque de chance les services nginx et mysql ne démarrent pas. Systemctl status me dit qu’il y a une erreur. Où chercher ?
EN : Unfortunatly nginx and mysql services did not start. systemctl status reports error. Where should I look ?

Merci,
Nath’

#4

Hello,

So I have a problem with nginx.
Should I post it in another topic ?

Here is the outpout for nginx -t

root@serve:~# nginx -t
nginx: [emerg] location "ynhpanel\.(js|json|css)" cannot be inside the named location "@searx" in /etc/nginx/conf.d/yunohost_panel.conf.inc:7
nginx: configuration file /etc/nginx/nginx.conf test failed

I will check nginx config files, but I don’t really know out it should be normally.

Nath’

#5

Bonjour / Hi @nath5394 ,

Tu sembles avoir un soucis avec l’application “Searx” / You seems to have a problem with the “Searx” apps.
Une solution a été trouvé ici / A solution found here :

Désinstaller “Searx” … et peut-être la réinstaller. Chose qui n’a a priori pas été faite par cet utilisateur (réinstallation) / Uninstall “Searx” … and maybe reinstall it. It haven’t done a priori in this case by the user (reinstallation).

ppr

#6

Thank you removing searx resolved the problem.